clear;                               % fig2bi: lightning in sky with ratation 
load mfig2bi.mat;                    % load data
h=figure(1); set(h,'color',[190,190,190]/255);        % figure frame 
surf(zx,zy,zz,zkm*1e3,'linestyle','none'); hold on;   % lightning in sky with rotation
plot3(zx1(:,1),zy1(:,1),zz1(:,1),'-w','linewidth',6);        % horizon
plot3(zx1(:,2:3),zy1(:,2:3),zz1(:,2:3),':w','linewidth',2);  % latitudes
plot3(zx2,zy2,zz2,':w','linewidth',2); hold off;             % longitudes 
axis equal; axis off; 
camzoom(1.7); view(7,-15); view(40,-15); 
text(1.1,0-.25,0.02,'E','color','w','fontsize',20)
text(.22,.75,'N','color','w','fontsize',20)
text(-.9,-.10,'W','color','w','fontsize',20)
text(-.05,-1.1,0.03,'S','color','w','fontsize',20)
ic=35; cjet=[zeros(ic,3);jet]; colormap(cjet); 
set(gcf,'inverthardcopy','off');
print fig2bi.tif -dtiff; 

